package com.qmth.teachcloud.mark.service;

import com.qmth.teachcloud.mark.entity.MarkSpecialTag;

import java.util.List;

import com.baomidou.mybatisplus.extension.service.IService;

/**
 * <p>
 * 特殊标记表 服务类
 * </p>
 *
 * @author xf
 * @since 2023-11-01
 */
public interface MarkSpecialTagService extends IService<MarkSpecialTag> {

    void deleteByTaskId(Long taskId);

    void deleteByStudentId(Long studentId);

    void deleteByExamIdAndPaperNumberAndGroupNumber(Long examId, String paperNumber, Integer groupNumber);

	List<MarkSpecialTag> findByTaskId(Long taskId);
}
